Bug 24296 - booting with PCMCIA network does not set hostname
Summary: booting with PCMCIA network does not set hostname
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-18 17:12 UTC by Peter Bowen
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Bowen 2001-01-18 17:12:30 UTC
If /etc/sysconfig/network has the hostname set to localhost.localdomain,
when the machine boots, it will uses reverse DNS to get the hostname and
set it properly.  However, if a PCMCIA network card is used the hostname is
not properly set.  This appears to be because network initialization is
delayed until PCMCIA is up, and the PCMCIA scripts don't pass the boot flag
to ifup.  It PCMCIA is moved earlier in the boot sequence, before network,
then everything works correctly.  

I have seen Bug #7693, Bug #8328, Bug #15275, and Bug #18355 referencing
the order of startup for network and PCMCIA and they all basically say
'everything works, PCMCIA handles it', and that dependencies need to be
met, so it won't be fixed.  

This is not handled properly, and it should be possible to get PCMCIA in a
location that deps are met and before network.

Comment 1 Bugzilla owner 2004-09-30 15:38:53 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.